Skip to main content
GET
/
tags
Get all tags
curl --request GET \
  --url https://api.vantage.sh/v2/tags \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/tags"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/tags', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "links": {
    "self": "https://api.vantage.sh/v2/tags",
    "first": "https://api.vantage.sh/v2/tags?page=1",
    "next": null,
    "last": null,
    "prev": null
  },
  "tags": [
    {
      "tag_key": "app",
      "hidden": false,
      "preferred": false,
      "providers": [
        "aws",
        "azure",
        "custom_provider:accss_crdntl_ef89becbcf119a74"
      ]
    },
    {
      "tag_key": "environment",
      "hidden": false,
      "preferred": false,
      "providers": [
        "aws",
        "azure",
        "custom_provider:accss_crdntl_ef89becbcf119a74"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

providers
enum<string>[]

An array of providers to scope Tags by.

Available options:
aws,
azure,
gcp,
snowflake,
databricks,
mongo,
datadog,
fastly,
new_relic,
opencost,
open_ai,
oracle,
confluent,
planetscale,
coralogix,
kubernetes,
custom_provider,
github,
linode,
grafana,
clickhouse,
temporal,
twilio,
azure_csp,
kubernetes_agent,
anthropic,
anyscale,
cursor,
elastic,
vercel,
redis_cloud,
circle_ci,
modal,
eleven_labs,
baseten,
cloudflare
search_query
string

A search query to filter Tags by tag key.

sort_direction
enum<string>

The direction in which you would like to sort the data by. Defaults to 'asc'.

Available options:
asc,
desc
page
integer<int32>
default:1

The page of results to return.

limit
integer<int32>
default:100

The number of results to return per page. Defaults to 100. The maximum is 1000.

Response

200 - application/json

Tags model

tags
object[]
required